summary   	: The mtd layer user utilities.
Name	  	: hhl-target-mtd-utils
Version	  	: 2.4.16_1.16
Release	  	: %{_hhl_build_id}.2
Source	  	: mtd-utils-2.4.16_1.16.tar.gz
Source1		: mtd-utils.tmpl
Patch		: no_kernel_string_h.patch
License  	: GPL
Group	  	: System Environment/Kernel
Buildroot 	: %{_tmppath}/%{name}-target-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#

%description
The mtd-utils packages includes user to manipulate the mtd layer.

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-mtd-utils
Summary		: The mtd layer utilities.
Group		: System Environment/Kernel
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-mtd-utils

The mtd-utils packages includes user land tools to manipulate
the mtd layer.

%prep
export PATCH_GET=0
%target_check
%setup -q -n mtd-utils-%{version}
%patch -p1
%build
echo %{_hhl_cross_target_dir}%{_hhl_target_include_dir}/linux
echo %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
cd util;  make  ARCH=%{_hhl_target_cpu} \
	CC="%{_hhl_cross_bin_dir}/%{_hhl_target_toolprefix}gcc" \
	LD=%{_hhl_cross_bin_dir}/%{_hhl_target_toolprefix}ld \
	-I%{_hhl_cross_target_dir}/%{_hhl_target_include_dir}/linux \
	LDFLAGS=-L%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}

%install
%target_setup

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd

install -m 0755  util/nandtest  \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/nanddump  \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/nandwrite \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/ftl_check \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/ftl_format \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/nftldump \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/nftl_format \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/mkfs.jffs \
	%{buildroot}%{_hhl_cross_target_dir}/sbin/.
install -m 0755  util/mkfs.jffs2 \
	%{buildroot}%{_hhl_cross_target_dir}/sbin/.
install -m 0755  util/erase \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/eraseall \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/lock \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/unlock \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/doc_loadbios \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mtd-utils

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-mtd-utils
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nandtest
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nanddump
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nandwrite
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/erase
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/eraseall
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/ftl_format
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/ftl_check
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nftl_format
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nftldump
%{_hhl_cross_target_dir}/sbin/mkfs.jffs
%{_hhl_cross_target_dir}/sbin/mkfs.jffs2
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/lock
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/unlock
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/mtd-utils
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Jan 16 2000 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


